coreEngine.Calibration

## Class Metaheuristic

- java.lang.Object
- - coreEngine.Calibration.Algorithm
  - - coreEngine.Calibration.Metaheuristic

- Direct Known Subclasses:
    GeneticAlgorithm

      public abstract class Metaheuristic
      extends Algorithm

  Author:
    jltrask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `MODEL_TYPES`
    `protected int` | `numBestSolutionsSaved` Number of top best solutions that will be saved while the algorithm is being solved
    `protected java.util.Random` | `rng` Random number generator instance for the algorithm
    `protected java.lang.String` | `type`
    `static java.lang.String` | `TYPE_CAPACITY`
    `static java.lang.String` | `TYPE_CAPACITY_FULL`
    `static java.lang.String` | `TYPE_DEMAND_HYBRID`
    `static java.lang.String` | `TYPE_DEMAND_HYBRID_CDP`
    `static java.lang.String` | `TYPE_NDIST_DEMAND`
    `static java.lang.String` | `TYPE_NDIST_DEMAND_CDP`
    `static java.lang.String` | `TYPE_PROFILE_BASED`
    `static java.lang.String` | `TYPE_PROFILE_BASED_CDP`

    - ### Fields inherited from class coreEngine.Calibration.Algorithm

      `DEFAULT_AF_RANGE, DEFAULT_AF_STEP, DEFAULT_CDP_MIN, DEFAULT_CDP_RANGE, DEFAULT_CDP_STEP, DEFAULT_JD_MIN, DEFAULT_JD_RANGE, DEFAULT_JD_STEP, DEFAULT_MAX_ITERATIONS, DEFUALT_AF_MIN, isAdaptive, isMemetic, MAX_ITER, name, numIter, numParallelSeeds, optimalTol, stats, useParallel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Metaheuristic()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setType(java.lang.String type)` Specifies the type of the of adjustment factors searched for the GA.

    - ### Methods inherited from class coreEngine.Calibration.Algorithm

      `getAF_MAX, getAF_MIN, getAF_RANGE, getAF_STEP, getBestOrganism, getCDP_MAX, getCDP_MIN, getCDP_RANGE, getCDP_STEP, getJD_MAX, getJD_MIN, getJD_RANGE, getJD_STEP, getMAX_ITER, getNumParallelSeeds, getOptimalTol, getSolnSeed, initialize, initialize, isAdaptive, isMemetic, isUseParallel, setAdaptive, setAF_MIN, setAF_RANGE, setAF_STEP, setCDP_MIN, setCDP_RANGE, setCDP_STEP, setJD_MIN, setJD_RANGE, setJD_STEP, setMAX_ITER, setMemetic, setName, setNumParallelSeeds, setOptimalTol, setUseParallel, solveInstance, solveInstance, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### rng

          protected final java.util.Random rng

      Random number generator instance for the algorithm

    - #### numBestSolutionsSaved

          protected int numBestSolutionsSaved

      Number of top best solutions that will be saved while the algorithm is being solved

    - #### TYPE_CAPACITY

          public static final java.lang.String TYPE_CAPACITY

      See Also:
        Constant Field Values

    - #### TYPE_CAPACITY_FULL

          public static final java.lang.String TYPE_CAPACITY_FULL

      See Also:
        Constant Field Values

    - #### TYPE_PROFILE_BASED

          public static final java.lang.String TYPE_PROFILE_BASED

      See Also:
        Constant Field Values

    - #### TYPE_PROFILE_BASED_CDP

          public static final java.lang.String TYPE_PROFILE_BASED_CDP

      See Also:
        Constant Field Values

    - #### TYPE_NDIST_DEMAND

          public static final java.lang.String TYPE_NDIST_DEMAND

      See Also:
        Constant Field Values

    - #### TYPE_NDIST_DEMAND_CDP

          public static final java.lang.String TYPE_NDIST_DEMAND_CDP

      See Also:
        Constant Field Values

    - #### TYPE_DEMAND_HYBRID

          public static final java.lang.String TYPE_DEMAND_HYBRID

      See Also:
        Constant Field Values

    - #### TYPE_DEMAND_HYBRID_CDP

          public static final java.lang.String TYPE_DEMAND_HYBRID_CDP

      See Also:
        Constant Field Values

    - #### MODEL_TYPES

          public static final java.lang.String[] MODEL_TYPES

    - #### type

          protected java.lang.String type

  - ### Constructor Detail

    - #### Metaheuristic

          public Metaheuristic()

  - ### Method Detail

    - #### setType

          public void setType(java.lang.String type)

      Specifies the type of the of adjustment factors searched for the GA.
      Parameters:
        `type` -